[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# Int64Rec

Record describing an Int64 value

## Declaration

Source position: sysutilh.inc line 63

`type Int64Rec = packed record`
`case Integer of`
`0: (`
`Hi: Cardinal;` |  | High integer
`Lo: Cardinal;` |  | Lower integer
`);`
`1: (`
`Words: array [0..3] of Word;` |  | Array of 4 words
`);`
`2: (`
`Bytes: array [0..7] of Byte;` |  | Array of 8 bytes
`);`
`end;`

## Description

Int64Rec can be used to extract the parts of a Int64: the high and low cardinal, or a zero-based array of 4 words, or a zero based array of 8 bytes. Note that the meaning of the High and Low parts are different on various CPUs.

## See also

LongRec |  | Record describing a longint value
WordRec |  | Record describing a word value.